Skip to main content
POST
/
terraform
/
{terraformId}
/
deploymentRestriction
Create a terraform deployment restriction
curl --request POST \
  --url https://api.qovery.com/terraform/{terraformId}/deploymentRestriction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "MATCH",
  "type": "PATH",
  "value": "<string>"
}
'
import requests

url = "https://api.qovery.com/terraform/{terraformId}/deploymentRestriction"

payload = {
"mode": "MATCH",
"type": "PATH",
"value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'MATCH', type: 'PATH', value: '<string>'})
};

fetch('https://api.qovery.com/terraform/{terraformId}/deploymentRestriction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "mode": "MATCH",
  "type": "PATH",
  "value": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

terraformId
string
required

Body

application/json
mode
enum<string>
required

Match mode will rebuild app only if specified items are updated. Exclude mode will not rebuild app if specified items are updated.

Available options:
EXCLUDE,
MATCH
Example:

"MATCH"

type
enum<string>
required
Available options:
PATH
Example:

"PATH"

value
string
required

‘For PATH restrictions, the value must not start with /

Response

Added an terraform deployment restriction

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
mode
enum<string>
required

Match mode will rebuild app only if specified items are updated. Exclude mode will not rebuild app if specified items are updated.

Available options:
EXCLUDE,
MATCH
Example:

"MATCH"

type
enum<string>
required
Available options:
PATH
Example:

"PATH"

value
string
required

‘For PATH restrictions, the value must not start with /

updated_at
string<date-time>
read-only